Eclipse Platform Release 3.7

## org.eclipse.swt.custom
Interface VerifyKeyListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  ContentAssistant.AutoAssistListener

    public interface VerifyKeyListener

extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide a method that deals with the event that is generated when a key is pressed.

See Also:
  `VerifyEvent`, Sample code and further information

Method Summary
`void` `verifyKey(VerifyEvent event)` The following event fields are used: event.character is the character that was typed (input) event.keyCode is the key code that was typed (input) event.stateMask is the state of the keyboard (input) event.doit is processed or not (output)

Method Detail

### verifyKey

    void verifyKey(VerifyEvent event)

  The following event fields are used:
  - event.character is the character that was typed (input)
  - event.keyCode is the key code that was typed (input)
  - event.stateMask is the state of the keyboard (input)
  - event.doit is processed or not (output)

  Parameters:
    `event` - the verify event
  See Also:
    `VerifyEvent`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.